module.exports = {
  content: [
    "./pages/**/*.{js,ts,jsx,tsx,html}",
    "./components/**/*.{js,ts,jsx,tsx,html}",
    "./*.html",
     "./node_modules/flowbite/**/*.js"
  ],
   plugins: [
        require('flowbite/plugin')
    ],
  theme: {
    extend: {
     colors: {
        'btn-color': '#f36f24',
        'blue-color': '#233f80',
        'bg-secondary-gray50': '#E1E9FE',
        'primary-blue50': '#FBFCFF',
        'primary-blue100': '#E9EFFC',
        'primary-blue200': '#DAE2F2',
        'primary-blue400': '#6180BF',
        'primary-blue500': '#233F80',
        'primary-blue600': '#2C5099',
        'primary-blue700': '#1D356C',
        'primary-orange50': '#FFFAEB',
        'primary-orange100': '#FEEFC6',
        'primary-orange200': '#FEDF89',
        'primary-orange400': '#FDB022',
        'primary-orange500': '#F79009',
        'primary-orange600': '#DC6803',
        'secondary-purple500': '#7A5AF8',
        'secondary-purple400': '#9B8AFB',
        'secondary-green500': '#16B364',
        'secondary-green400': '#3CCB7F',
        'secondary-green300': '#06D6A0',
        'secondary-green200': '#0EA981',
        'secondary-green100': '#E3FCEF',
        'secondary-green50': '#F2FDF6',
        'secondary-cyan500': '#06AED4',
        'secondary-cyan400': '#22CCEE',
        'secondary-yellow500': '#EAAA08',
        'secondary-yellow400': '#FAC415',
        'secondary-red500': '#DC4B37',
        'secondary-red400': '#E96F5F',
        'secondary-red200': '#F7C9C4',
        'secondary-red100': '#FAE1DE',
        'secondary-red50': '#FDF6F2',
        'secondary-neutral100': '#F3F4F6',
        'secondary-neutral200': '#E5E7EB',
        'secondary-neutral300': '#D2D6DB',
        'secondary-neutral400': '#9DA4AE',
        'secondary-neutral500': '#6C737F',
        'secondary-neutral600': '#4D5761',
        'secondary-neutral800': '#1F2A37',
     },
     width: {
        '1000': '1000px',
        '700': '700px',
        '500': '500px',
     },
     height: {
      '580': '580px',
     },
      // screens: {
      //   'sm': {'min': '640px', 'max': '767px'},  
      //   'md': {'min': '768px', 'max': '1023px'},
      //   'lg': {'min': '1024px', 'max': '1366px'},  
      //   'xl': {'min': '1280px', 'max': '1535px'},  
      //   '1xl': { 'max': '1440px' },
      //   '2xl': {'min': '1536px'},
      // },
      screens: {
        'sm': {'min': '640px'},  
        'md': {'min': '768px'},
        'lg': {'min': '1024px'},  
        'xl': {'min': '1367px'},
        '1xl': {'min': '1441px'},
        '2xl': {'min': '1536px'},
        'mac':{'min':'1400px', 'max':'1440px'}
      },
    },
  },
}